<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFPivotTable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFPivotTable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFPivotTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheRecords.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.PivotTableReferenceConfigurator.html"
               title="interface in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFPivotTable.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFPivotTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFPivotTable" class="title">Class XSSFPivotTable</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.usermodel.XSSFPivotTable</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFPivotTable</span>
extends <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html" title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static interface&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.PivotTableReferenceConfigurator.html"
                                        title="interface in org.apache.poi.xssf.usermodel">XSSFPivotTable.PivotTableReferenceConfigurator</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#CREATED_VERSION">CREATED_VERSION</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#MIN_REFRESHABLE_VERSION">MIN_REFRESHABLE_VERSION</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#UPDATED_VERSION">UPDATED_VERSION</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#XSSFPivotTable--">XSSFPivotTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#XSSFPivotTable-org.apache.poi.openxml4j.opc.PackagePart-">XSSFPivotTable</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>
                                    <div class="block">Creates an XSSFPivotTable representing the given package part and
                                        relationship.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#addColLabel-int-">addColLabel</a></span>(int&nbsp;columnIndex)</code>
                                    <div class="block">Add a col label using data from the given column.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#addColLabel-int-java.lang.String-">addColLabel</a></span>(int&nbsp;columnIndex,
                                    java.lang.String&nbsp;valueFormat)</code>
                                    <div class="block">Add a col label using data from the given column.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#addColumnLabel-org.apache.poi.ss.usermodel.DataConsolidateFunction-int-">addColumnLabel</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataConsolidateFunction.html"
                                        title="enum in org.apache.poi.ss.usermodel">DataConsolidateFunction</a>&nbsp;function,
                                    int&nbsp;columnIndex)</code>
                                    <div class="block">Add a column label using data from the given column and specified
                                        function
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#addColumnLabel-org.apache.poi.ss.usermodel.DataConsolidateFunction-int-java.lang.String-">addColumnLabel</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataConsolidateFunction.html"
                                        title="enum in org.apache.poi.ss.usermodel">DataConsolidateFunction</a>&nbsp;function,
                                    int&nbsp;columnIndex,
                                    java.lang.String&nbsp;valueFieldName)</code>
                                    <div class="block">Add a column label using data from the given column and specified
                                        function
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#addColumnLabel-org.apache.poi.ss.usermodel.DataConsolidateFunction-int-java.lang.String-java.lang.String-">addColumnLabel</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataConsolidateFunction.html"
                                        title="enum in org.apache.poi.ss.usermodel">DataConsolidateFunction</a>&nbsp;function,
                                    int&nbsp;columnIndex,
                                    java.lang.String&nbsp;valueFieldName,
                                    java.lang.String&nbsp;valueFormat)</code>
                                    <div class="block">Add a column label using data from the given column and specified
                                        function
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#addDataColumn-int-boolean-">addDataColumn</a></span>(int&nbsp;columnIndex,
                                    boolean&nbsp;isDataField)</code>
                                    <div class="block">Add column containing data from the referenced area.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#addReportFilter-int-">addReportFilter</a></span>(int&nbsp;columnIndex)</code>
                                    <div class="block">Add filter for the column with the corresponding index and cell
                                        value
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#addRowLabel-int-">addRowLabel</a></span>(int&nbsp;columnIndex)</code>
                                    <div class="block">Add a row label using data from the given column.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#commit--">commit</a></span>()</code>
                                    <div class="block">Save the content in the underlying package part.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#createDefaultDataColumns--">createDefaultDataColumns</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#createSourceReferences-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.xssf.usermodel.XSSFPivotTable.PivotTableReferenceConfigurator-">createSourceReferences</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;position,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                       title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sourceSheet,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.PivotTableReferenceConfigurator.html"
                                       title="interface in org.apache.poi.xssf.usermodel">XSSFPivotTable.PivotTableReferenceConfigurator</a>&nbsp;refConfig)</code>
                                    <div class="block">Creates cacheSource and workSheetSource for pivot table and sets
                                        the source reference as well assets the location of the pivot table
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;java.lang.Integer&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#getColLabelColumns--">getColLabelColumns</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotTableDefinition</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#getCTPivotTableDefinition--">getCTPivotTableDefinition</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#getDataSheet--">getDataSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#getParentSheet--">getParentSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#getPivotArea--">getPivotArea</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCache.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPivotCache</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#getPivotCache--">getPivotCache</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheDefinition.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPivotCacheDefinition</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#getPivotCacheDefinition--">getPivotCacheDefinition</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheRecords.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPivotCacheRecords</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#getPivotCacheRecords--">getPivotCacheRecords</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;java.lang.Integer&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#getRowLabelColumns--">getRowLabelColumns</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#readFrom-java.io.InputStream-">readFrom</a></span>(java.io.InputStream&nbsp;is)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#setCTPivotTableDefinition-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotTableDefinition-">setCTPivotTableDefinition</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotTableDefinition&nbsp;pivotTableDefinition)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#setDefaultPivotTableDefinition--">setDefaultPivotTableDefinition</a></span>()</code>
                                    <div class="block">Set default values for the table definition.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#setParentSheet-org.apache.poi.xssf.usermodel.XSSFSheet-">setParentSheet</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;parentSheet)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#setPivotCache-org.apache.poi.xssf.usermodel.XSSFPivotCache-">setPivotCache</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCache.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPivotCache</a>&nbsp;pivotCache)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#setPivotCacheDefinition-org.apache.poi.xssf.usermodel.XSSFPivotCacheDefinition-">setPivotCacheDefinition</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheDefinition.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPivotCacheDefinition</a>&nbsp;pivotCacheDefinition)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html#setPivotCacheRecords-org.apache.poi.xssf.usermodel.XSSFPivotCacheRecords-">setPivotCacheRecords</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheRecords.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPivotCacheRecords</a>&nbsp;pivotCacheRecords)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">onDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">prepareForCommit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="CREATED_VERSION">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CREATED_VERSION</h4>
                                <pre>protected static final&nbsp;short CREATED_VERSION</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFPivotTable.CREATED_VERSION">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MIN_REFRESHABLE_VERSION">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MIN_REFRESHABLE_VERSION</h4>
                                <pre>protected static final&nbsp;short MIN_REFRESHABLE_VERSION</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFPivotTable.MIN_REFRESHABLE_VERSION">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="UPDATED_VERSION">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>UPDATED_VERSION</h4>
                                <pre>protected static final&nbsp;short UPDATED_VERSION</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFPivotTable.UPDATED_VERSION">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFPivotTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFPivotTable</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
protected&nbsp;XSSFPivotTable()</pre>
                            </li>
                        </ul>
                        <a name="XSSFPivotTable-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFPivotTable</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
protected&nbsp;XSSFPivotTable(<a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                 title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
                        throws java.io.IOException</pre>
                                <div class="block">Creates an XSSFPivotTable representing the given package part and
                                    relationship.
                                    Should only be called when reading in an existing file.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>part</code> - - The package part that holds xml data representing this
                                        pivot table.
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="readFrom-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readFrom</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;readFrom(java.io.InputStream&nbsp;is)
                    throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPivotCache-org.apache.poi.xssf.usermodel.XSSFPivotCache-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPivotCache</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;setPivotCache(<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCache.html"
                                       title="class in org.apache.poi.xssf.usermodel">XSSFPivotCache</a>&nbsp;pivotCache)</pre>
                            </li>
                        </ul>
                        <a name="getPivotCache--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPivotCache</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCache.html"
               title="class in org.apache.poi.xssf.usermodel">XSSFPivotCache</a>&nbsp;getPivotCache()</pre>
                            </li>
                        </ul>
                        <a name="getParentSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParentSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
               title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;getParentSheet()</pre>
                            </li>
                        </ul>
                        <a name="setParentSheet-org.apache.poi.xssf.usermodel.XSSFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setParentSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;setParentSheet(<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;parentSheet)</pre>
                            </li>
                        </ul>
                        <a name="getCTPivotTableDefinition--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTPivotTableDefinition</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
 <a href="../../../../../org/apache/poi/util/Internal.html" title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotTableDefinition&nbsp;getCTPivotTableDefinition()</pre>
                            </li>
                        </ul>
                        <a name="setCTPivotTableDefinition-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotTableDefinition-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCTPivotTableDefinition</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
 <a href="../../../../../org/apache/poi/util/Internal.html" title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setCTPivotTableDefinition(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTPivotTableDefinition&nbsp;pivotTableDefinition)</pre>
                            </li>
                        </ul>
                        <a name="getPivotCacheDefinition--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPivotCacheDefinition</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheDefinition.html"
               title="class in org.apache.poi.xssf.usermodel">XSSFPivotCacheDefinition</a>&nbsp;getPivotCacheDefinition()</pre>
                            </li>
                        </ul>
                        <a name="setPivotCacheDefinition-org.apache.poi.xssf.usermodel.XSSFPivotCacheDefinition-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPivotCacheDefinition</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;setPivotCacheDefinition(<a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheDefinition.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFPivotCacheDefinition</a>&nbsp;pivotCacheDefinition)</pre>
                            </li>
                        </ul>
                        <a name="getPivotCacheRecords--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPivotCacheRecords</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheRecords.html"
               title="class in org.apache.poi.xssf.usermodel">XSSFPivotCacheRecords</a>&nbsp;getPivotCacheRecords()</pre>
                            </li>
                        </ul>
                        <a name="setPivotCacheRecords-org.apache.poi.xssf.usermodel.XSSFPivotCacheRecords-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPivotCacheRecords</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;setPivotCacheRecords(<a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheRecords.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFPivotCacheRecords</a>&nbsp;pivotCacheRecords)</pre>
                            </li>
                        </ul>
                        <a name="getDataSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
               title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;getDataSheet()</pre>
                            </li>
                        </ul>
                        <a name="commit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>commit</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
protected&nbsp;void&nbsp;commit()
                     throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">POIXMLDocumentPart</a></code></span>
                                </div>
                                <div class="block">Save the content in the underlying package part.
                                    Default implementation is empty meaning that the package part is left unmodified.
                                    <p>
                                        Sub-classes should override and add logic to marshal the "model" into Ooxml4J.
                                    <p>
                                        For example, the code saving a generic XML entry may look as follows:
                                    <pre>
 protected void commit() throws IOException {
   PackagePart part = getPackagePart();
   OutputStream out = part.getOutputStream();
   XmlObject bean = getXmlBean(); //the "model" which holds changes in memory
   bean.save(out, DEFAULT_XML_OPTIONS);
   out.close();
 }
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">commit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException if the
                                        changes can't be committed
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDefaultPivotTableDefinition--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDefaultPivotTableDefinition</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
protected&nbsp;void&nbsp;setDefaultPivotTableDefinition()</pre>
                                <div class="block">Set default values for the table definition.</div>
                            </li>
                        </ul>
                        <a name="getPivotArea--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPivotArea</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                                       title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;getPivotArea()</pre>
                            </li>
                        </ul>
                        <a name="addRowLabel-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addRowLabel</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;addRowLabel(int&nbsp;columnIndex)</pre>
                                <div class="block">Add a row label using data from the given column.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - the index of the source column to be used as row
                                        label.
                                        <code>columnIndex</code> is 0-based indexed and relative to the first column in
                                        the source.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowLabelColumns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowLabelColumns</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;java.util.List&lt;java.lang.Integer&gt;&nbsp;getRowLabelColumns()</pre>
                            </li>
                        </ul>
                        <a name="addColLabel-int-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addColLabel</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;addColLabel(int&nbsp;columnIndex,
                              java.lang.String&nbsp;valueFormat)</pre>
                                <div class="block">Add a col label using data from the given column.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - the index of the source column to be used as row
                                        label.
                                        <code>columnIndex</code> is 0-based indexed and relative to the first column in
                                        the source.
                                    </dd>
                                    <dd><code>valueFormat</code> - format of column value (e.g. for date: "DD.MM.YYYY")
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addColLabel-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addColLabel</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;addColLabel(int&nbsp;columnIndex)</pre>
                                <div class="block">Add a col label using data from the given column.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - the index of the source column to be used as row
                                        label.
                                        <code>columnIndex</code> is 0-based indexed and relative to the first column in
                                        the source.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColLabelColumns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColLabelColumns</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;java.util.List&lt;java.lang.Integer&gt;&nbsp;getColLabelColumns()</pre>
                            </li>
                        </ul>
                        <a name="addColumnLabel-org.apache.poi.ss.usermodel.DataConsolidateFunction-int-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addColumnLabel</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;addColumnLabel(<a href="../../../../../org/apache/poi/ss/usermodel/DataConsolidateFunction.html"
                                        title="enum in org.apache.poi.ss.usermodel">DataConsolidateFunction</a>&nbsp;function,
                                 int&nbsp;columnIndex,
                                 java.lang.String&nbsp;valueFieldName,
                                 java.lang.String&nbsp;valueFormat)</pre>
                                <div class="block">Add a column label using data from the given column and specified
                                    function
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - the index of the source column to be used as column
                                        label.
                                        <code>columnIndex</code> is 0-based indexed and relative to the first column in
                                        the source.
                                    </dd>
                                    <dd><code>function</code> - the function to be used on the data
                                        The following functions exists:
                                        Sum, Count, Average, Max, Min, Product, Count numbers, StdDev, StdDevp, Var,
                                        Varp
                                    </dd>
                                    <dd><code>valueFieldName</code> - the name of pivot table value field</dd>
                                    <dd><code>valueFormat</code> - format of value field (e.g. "#,##0.00")</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addColumnLabel-org.apache.poi.ss.usermodel.DataConsolidateFunction-int-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addColumnLabel</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;addColumnLabel(<a href="../../../../../org/apache/poi/ss/usermodel/DataConsolidateFunction.html"
                                        title="enum in org.apache.poi.ss.usermodel">DataConsolidateFunction</a>&nbsp;function,
                                 int&nbsp;columnIndex,
                                 java.lang.String&nbsp;valueFieldName)</pre>
                                <div class="block">Add a column label using data from the given column and specified
                                    function
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - the index of the source column to be used as column
                                        label.
                                        <code>columnIndex</code> is 0-based indexed and relative to the first column in
                                        the source.
                                    </dd>
                                    <dd><code>function</code> - the function to be used on the data
                                        The following functions exists:
                                        Sum, Count, Average, Max, Min, Product, Count numbers, StdDev, StdDevp, Var,
                                        Varp
                                    </dd>
                                    <dd><code>valueFieldName</code> - the name of pivot table value field</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addColumnLabel-org.apache.poi.ss.usermodel.DataConsolidateFunction-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addColumnLabel</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;addColumnLabel(<a href="../../../../../org/apache/poi/ss/usermodel/DataConsolidateFunction.html"
                                        title="enum in org.apache.poi.ss.usermodel">DataConsolidateFunction</a>&nbsp;function,
                                 int&nbsp;columnIndex)</pre>
                                <div class="block">Add a column label using data from the given column and specified
                                    function
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - the index of the source column to be used as column
                                        label
                                        <code>columnIndex</code> is 0-based indexed and relative to the first column in
                                        the source..
                                    </dd>
                                    <dd><code>function</code> - the function to be used on the data
                                        The following functions exists:
                                        Sum, Count, Average, Max, Min, Product, Count numbers, StdDev, StdDevp, Var,
                                        Varp
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addDataColumn-int-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addDataColumn</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;addDataColumn(int&nbsp;columnIndex,
                                boolean&nbsp;isDataField)</pre>
                                <div class="block">Add column containing data from the referenced area.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - the index of the column containing the data</dd>
                                    <dd><code>isDataField</code> - true if the data should be displayed in the pivot
                                        table.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addReportFilter-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addReportFilter</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
public&nbsp;void&nbsp;addReportFilter(int&nbsp;columnIndex)</pre>
                                <div class="block">Add filter for the column with the corresponding index and cell
                                    value
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - index of column to filter on</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createSourceReferences-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.usermodel.Sheet-org.apache.poi.xssf.usermodel.XSSFPivotTable.PivotTableReferenceConfigurator-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSourceReferences</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
protected&nbsp;void&nbsp;createSourceReferences(<a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;position,
                                            <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                               title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sourceSheet,
                                            <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.PivotTableReferenceConfigurator.html"
                                               title="interface in org.apache.poi.xssf.usermodel">XSSFPivotTable.PivotTableReferenceConfigurator</a>&nbsp;refConfig)</pre>
                                <div class="block">Creates cacheSource and workSheetSource for pivot table and sets the
                                    source reference as well assets the location of the pivot table
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>position</code> - Position for pivot table in sheet</dd>
                                    <dd><code>sourceSheet</code> - Sheet where the source will be collected from</dd>
                                    <dd><code>refConfig</code> - an configurator that knows how to configure pivot table
                                        references
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createDefaultDataColumns--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createDefaultDataColumns</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Beta.html"
                                        title="annotation in org.apache.poi.util">@Beta</a>
protected&nbsp;void&nbsp;createDefaultDataColumns()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFPivotTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheRecords.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.PivotTableReferenceConfigurator.html"
               title="interface in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFPivotTable.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFPivotTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
